Subject: Re: Git fails to detect subcommand when hook is symlinked to a builtin

From: Jonathan Nieder <[email-masked]>
Date: Sun, 20 Mar 2011 04:09:37 -0500

Jonathan Nieder wrote:

> Instead, the rule is:

Sorry, that came out a muddle.  Teemu Likonen explains the rule[1]
better.  And Linus explains the rationale[2].  The main reason I found
this interesting enough to chime in is that I was considering
proposing changing the beginning of git scripts to

 . "$(git --exec-path)/git-sh-setup"

to set a good example, which would be a regression in git's ability
to complain when used in a fragile way.

So, Todd: thanks for a very useful reminder.

[1] http://thread.gmane.org/gmane.comp.version-control.git/94378
[2] http://thread.gmane.org/gmane.comp.version-control.git/93825